# Class SubSpecChangeEvent

java.lang.Object
jspecview.common.SubSpecChangeEvent

public class SubSpecChangeEvent extends Object

## Constructor Summary

Constructors
Constructor
Description
`SubSpecChangeEvent(int isub, String title)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSubIndex()`
`boolean`
`isValid()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SubSpecChangeEvent

public SubSpecChangeEvent(int isub, String title)

## Method Details

### isValid

public boolean isValid()

### getSubIndex

public int getSubIndex()

### toString

public String toString()

Overrides:
  `toString` in class `Object`